Skip to main content

Generate a new key pair and self-signed certificate at the key store

POST /occm/key-store/external-certificate

Generates a new key pair and self-signed certificate at the key store and returns a certificate signing request (CSR).

Request Body

Name Type Required Description

algorithm

string

False

occmCertificate

string

True

privateKey

string

False

Example request
{
  "algorithm": "string",
  "occmCertificate": "string",
  "privateKey": "string"
}

Error

Status: Default, Default response
Name Type Required Description

certificate

string

False

certificateType

string

False

directIssuerName

string

False

endDate

integer

False

publicId

string

False

serialNumber

string

False

startDate

integer

True

subjectName

string

False

Example error response
{
  "certificate": "string",
  "certificateType": "string",
  "directIssuerName": "string",
  "publicId": "string",
  "serialNumber": "string",
  "startDate": 0,
  "subjectName": "string"
}